#version 100

uniform mat4 model_view_projection_mx;

attribute vec3 v_position;

#if defined(VARYING_COLOR)
attribute lowp vec4 v_color;
varying lowp vec4 frag_color;
#endif

void main()
{
	gl_Position = model_view_projection_mx * vec4(v_position, 1.0);

#if defined(VARYING_COLOR)
	frag_color = v_color;
#endif
}

