#version 100
uniform lowp vec4 global_color;

uniform lowp sampler2D glyph_texture;
uniform lowp vec4 glyph_color;
varying highp vec2 glyph_tex_coord;

void main(void)
{
	lowp float glyph_tex_a = texture2D(glyph_texture, glyph_tex_coord).a;
	
	gl_FragColor = global_color * glyph_color * vec4(1.0, 1.0, 1.0, glyph_tex_a);
}
