#version 100
uniform mat4 model_view_projection_mx;

attribute vec3 v_position;
attribute vec2 v_tex_coord_0;

uniform mat4 glyph_outline_texture_mx;
varying highp vec2 glyph_tex_coord;

void main()
{
	gl_Position = model_view_projection_mx * vec4(v_position, 1.0);
	glyph_tex_coord = (glyph_outline_texture_mx * vec4(v_tex_coord_0, 0, 1)).xy;
}
