#version 100
uniform lowp vec4 global_color;

varying highp vec2 glyph_tex_coord;

uniform lowp sampler2D glyph_outline_texture;
uniform lowp vec4 outline_color;

void main(void)
{
	lowp float outline_tex_a = texture2D(glyph_outline_texture, glyph_tex_coord).a;
	
	gl_FragColor = global_color * outline_color * vec4(1.0, 1.0, 1.0, outline_tex_a);
}
